## org.biojava.utils.regex
Class RegexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.utils.regex.RegexException

All Implemented Interfaces:
  Serializable

    public class RegexException

extends BioException

An exception thrown by classes of this package.

See Also:
  Serialized Form

Constructor Summary
`RegexException(String message)`
`RegexException(Throwable ex)`
`RegexException(Throwable ex, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexException

    public RegexException(String message)

### RegexException

    public RegexException(Throwable ex)

### RegexException

    public RegexException(Throwable ex,
                          String message)